package bio.dendogram.edition;

/**
 * <p>Title: Dendogram</p>
 * <p>Description: Set of Tools for dealing with phylogenetic trees (dendograms).</p>
 * <p>Copyright: 2002</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

import bio.dendogram.*;

public class EditionTools {

  public static void sample(Tree tree, int numberOfLeavesToKeep) {
    NodeList leaves = tree.getLeaves();
    while(tree.getNumberOfLeaves() > numberOfLeavesToKeep) {
      int pos = (int)Math.floor(Math.random() * leaves.size());
      Node currentLeaf = (Node)leaves.remove(pos);
      tree.removeNode(currentLeaf);
    }
  }
}