package bio.sequences;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

/**
 * @brief <p>The abstract base class foc nucleic alphabets.
 * This class only implements a few methods, it is mainly designed for methods/classes
 * that will require to work with both RNA and DNA.</p>
 */
public abstract class NucleicAlphabet extends AbstractAlphabet {

  public int getSize() { return 4; }

  public int getNumberOfTypes() { return 15; }
}
