package gnu.jtools.stats.table;

/**
 * <p>Title: Stats</p>
 * <p>Description: Statistics tools</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class TableException extends Exception {

  public TableException(Table t) {
    this.table = t;
  }

  public TableException(String p0, Table t) {
    super(p0);
    this.table = t;
  }

  public TableException(String p0, Throwable p1, Table t) {
    super(p0, p1);
    this.table = t;
  }

  public TableException(Throwable p0, Table t) {
    super(p0);
    this.table = t;
  }

  /**
   * Get the table that threw the exception.
   *
   * @return The table that threw the Exception.
   */
  public Table getTable() { return table; }

  protected Table table;
}