package gnu.jtools.utils.attributes;

public class BadAttributeNameException extends Exception {
  protected String attributeName;

  public BadAttributeNameException(String attributeName) {
    this.attributeName = attributeName;
  }

  public BadAttributeNameException(String attributeName, String message) {
    super(message);
    this.attributeName = attributeName;
  }

  public BadAttributeNameException(String attributeName, String message, Throwable cause) {
    super(message, cause);
    this.attributeName = attributeName;
  }

  public BadAttributeNameException(String attributeName,Throwable cause) {
    super(cause);
    this.attributeName = attributeName;
  }

  public String getAttributeName() { return attributeName; }
}
