package gnu.jtools.utils.storage;

/**
 * <p>Title: Utils</p>
 * <p>Description: Some util</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

import java.util.*;

public class CollectionTools {

  public static Collection getIntersection(Collection col1, Collection col2) {
    Collection inter = new HashSet();
    Iterator it = col1.iterator();
    while(it.hasNext()) {
      Object o = it.next();
      if(col2.contains(o) && ! inter.contains(o)) inter.add(o);
    }
    return inter;
  }

  public static Collection getUnion(Collection col1, Collection col2) {
    Collection union = new HashSet();
    // Add all in col1:
    Iterator it1 = col1.iterator();
    while(it1.hasNext()) {
      Object o = it1.next();
      if(! union.contains(o)) union.add(o);
    }
    // Add all in col:
    Iterator it2 = col2.iterator();
    while(it2.hasNext()) {
      Object o = it2.next();
      if(! union.contains(o)) union.add(o);
    }
    return union;
  }

}
