package gnu.jtools.utils.storage;

import java.util.Comparator;

public interface Sortable {


  Object getValue(int index);

  Comparator getComparator();

  /**
   * The same as in Collection:
   */
  boolean add(Object o);

  Object get(int index);

  boolean remove(Object o);

  int size();

  /**
   * The same as in List:
   */
  void add(int index, Object o);

  Object set(int index, Object o);

  Object remove(int index);

}